
        select base.*
        from meter_data as base
        where timestamp >='2022-10-14 16:00:00' and timestamp <='2022-10-14 16:59:59'
        and base.meter_attr_id in(32546,31859)
        order by timestamp desc
        limit 1


with
 temp as (
     select base.*
        from meter_data as base
        where timestamp >='2022-10-14 16:00:00' and timestamp <='2022-10-14 17:59:59'
        and base.meter_attr_id in(32546,31859)
 )
select temp.*
from temp
where id in(
    select min(temp.id) from temp group by meter_attr_id
    )


-- 所有站用电量之和
select sum(toDecimal256(value, 4) )
from meter_data
where timestamp >='2022-10-16 20:00:00' and timestamp <='2022-10-16 20:59:59'
and meter_attr_id in (
38548
,36892
,36894
,36899
,38550
,38552
                     );

-- 所有站用气量之和
select sum(toDecimal256(value, 4) )
from meter_data
where timestamp >='2022-10-16 19:00:00' and timestamp <='2022-10-16 19:59:59'
and meter_attr_id in (
38547
,36893
,36895
,36898
,38549
,38551
                     );



